%define epoch	1

%define oname	biopython
%define	version	1.58
%define	release	1

Summary:	The Biopython Project
Name:		python-biopython
Version:	%{version}
Release:	%mkrel %{release}
Epoch:		%{epoch}
Source0:	http://biopython.org/DIST/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Sciences/Biology
Url:		http://biopython.org/
Requires:	python-numpy
BuildRequires:	egenix-mx-base
BuildRequires:	flex
BuildRequires:	python-reportlab, python-numpy, python-numpy-devel
BuildRequires:	gcc, epydoc, dos2unix
BuildRequires:	python-devel
Requires:	python-numpy
Requires:	python-reportlab
Requires:	egenix-mx-base
Requires:	wise
Suggests:	ncbi-blast
# don't explicitly require clustalw because it is non-free
Suggests:	clustalw
Provides:	biopython = %{epoch}:%{version}-%{release}
Provides:	python-Bio
Obsoletes:	python-Bio

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python modules from the Biopython Project 
used to process biological data.

%package	tools
Summary: 	Regression testing code and miscellaneous standalone scripts
Group:		Sciences/Biology
Requires:	%{name} = %{epoch}:%{version}-%{release}
Suggests:	tkinter, wxPython
Provides:	biopython-tools
Obsoletes:	biopython-tools

%description tools
This package provides various scripts and tests that are comprised by the
Biopython Project.

%package	sql
Summary:	Code for using Biopython with BioSQL databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Python
Requires:	python-psycopg2
Requires:	python-mysql
Provides:	biopython-biosql = %{epoch}:%{version}-%{release}
Provides:	python-BioSQL
Obsoletes:	python-BioSQL

%description sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	doc
Summary:	The Biopython Project documentation
Group:		Development/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	biopython-doc
Obsoletes:	biopython-doc

%description doc
This package provides the documentation for the various components of the 
Biopython Project.

%prep
%setup -q -n %{oname}-%{version}

# remove Mac-related files
rm -f Tests/CodonUsage/.DS_Store
# remove CVS dirs
find -type d -name CVS | xargs rm -rf 
# convert wrong end of line
find -type f -exec dos2unix -b -U {} \;

%build
python setup.py build_ext -lm build

%install
python setup.py install --root=%{buildroot}

mkdir -p %{buildroot}/%_datadir/%{name}-%{version} 
cp -r Tests Scripts %{buildroot}/%_datadir/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%py_platsitedir/Bio
%py_platsitedir/*.egg-info
%doc CONTRIB DEPRECATED LICENSE NEWS README

%files sql
%defattr(-,root,root,0755)
%py_platsitedir/BioSQL
%doc LICENSE

%files tools
%defattr(-,root,root,0755)
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts

%files doc
%defattr(-,root,root,0755)
%doc Doc/*.pdf Doc/examples/


%changelog

* Sat Aug 20 2011 fwang <fwang> 1:1.58-1.mga2
+ Revision: 134498
- new verison 1.58

  + ahmad <ahmad>
    - finalise renaming the package to python-biopython
    - only suggest ncbi-blast, it's optional (according to the README, and the Debian
      biopython package)

* Mon Mar 28 2011 ennael <ennael> 1:1.56-1.mga1
+ Revision: 78433
- fix build (thanks to rtp)
- clean spec file
- imported package biopython

